package gov.va.med.esr.messaging.service.retransmission;

import java.math.BigDecimal;

import gov.va.med.esr.messaging.batchprocess.RetransmissionProcess;
import gov.va.med.esr.messaging.util.AbstractMessagingTest;
import gov.va.med.esr.service.trigger.RetransmitTriggerEvent;
;
/**
 * 
 * @author Rajiv Patnaik
 * Created on Nov 10, 2005
 * @version 1.0
 * 
 * Copyright © 2005 VHA. All rights reserved
 */
public class RetransmissionServiceTest extends AbstractMessagingTest
{
    public RetransmissionServiceTest(String name) {
		super(name);
	}

    public void testRetransmit() throws Exception {
	    logger.info("testProcessMessage");
	    
        RetransmitTriggerEvent event = new RetransmitTriggerEvent(new BigDecimal(245097), true);
        event.setName("messaging.retransmit");
        
	     RetransmissionProcess service = (RetransmissionProcess) applicationContext.getBean("retransmissionProcess");
	     service.retransmit(event);
	     
	    //RetransmissionProcess service = (RetransmissionProcess) applicationContext.getBean("retransmissionProcessForEGT");
	    //service.retransmit();
	    
	    
	}
}

